Package groovy.lang

## Annotation Type Groovydoc

-     @Documented
      @Target({TYPE,ANNOTATION_TYPE,FIELD,METHOD,CONSTRUCTOR})
      @Retention(RUNTIME)
      public @interface Groovydoc

  An annotation to hold the groovydoc for the annotated element at runtime, we call it "Runtime Groovydoc". Runtime Groovydoc is a bit like Python's Documentation Strings and will be useful for IDE and developers who set a high value on documentations. The usage is very simple, just place @ at the beginning of the content of groovydoc, i.e. starts with /**@, then the new parser Parrot will attach the annotation Groovydoc automatically
  Since:
    3.0.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `String` | `value` |

- - ### Element Detail

    - #### value

          String value